package com.style24.batch.biz.job.goods;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.style24.batch.biz.job.TsbAbstractJob;
import com.style24.batch.biz.service.TsbGoodsSearchService;
import com.style24.persistence.domain.Goods;

import lombok.extern.slf4j.Slf4j;

/**
 * 상품 검색-부분 적용
 *
 * @author eskim
 * @since 2021. 06. 13
 */
@Component
@Slf4j
public class TsbGoodsSearchSectionJob extends TsbAbstractJob<Goods, Goods, Goods> {

	@Autowired
	private TsbGoodsSearchService goodsSeachService;

	private int succCnt = 0;
	private int failCnt = 0;

	@Override
	public Goods read() throws Exception {

		Goods goods = new Goods();
		return goods;
	}

	@Override
	public Goods process(Goods goods) throws Exception {
		return goods;
	}

	@Override
	public Goods write(Goods goods) throws Exception {

		goodsSeachService.saveGoodsSearchSection();
		return goods;
	}

	@Override
	public void notify(Goods goods) throws Exception {
		super.printResult(succCnt, failCnt);
	}

}